Deployments.ai Docs
Agent Email

Show an inbox binding

GET /v1/agent-email/bindings/{bindingId} · SDK getAgentEmailBinding · CLI deployments inbox-binding show

GET
/v1/agent-email/bindings/{bindingId}

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

bindingId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailBindingResponse

application/json
  1. response
agentDeploymentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
bindingType*string
Value in"external""platform_agent"
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
externalId*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
inboxId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
metadata*
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
status*string
Value in"active""archived""disabled"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/agent-email/bindings/string" \  -H "x-deployments-environment: string"
{  "agentDeploymentId": "string",  "bindingType": "external",  "createdAt": "2019-08-24T14:15:22Z",  "externalId": "string",  "id": "string",  "inboxId": "string",  "metadata": {    "property1": null,    "property2": null  },  "organizationId": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z"}